.\"	$NetBSD: age.4,v 1.3 2009/04/21 13:07:16 wiz Exp $
.\"	$OpenBSD: age.4,v 1.2 2009/01/16 06:03:44 jmc Exp $
.\"
.\" Copyright (c) 2009 Kevin Lo <kevlo@openbsd.org>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd May 5, 2009
.Dt AGE 4
.Os
.Sh NAME
.Nm age
.Nd Attansic L1 10/100/Gigabit Ethernet device
.Sh SYNOPSIS
.Cd "age* at pci?"
.Cd "atphy* at mii?"
.Sh DESCRIPTION
The
.Nm
driver provides support for Ethernet interfaces based on the
Attansic L1 Ethernet chipset.
.Pp
The
.Nm
driver supports IPv4 receive IP/TCP/UDP checksum offload and VLAN
tag insertion and stripping.
.Pp
The following
.Ar media
types are supported:
.Pp
.Bl -tag -width autoselect -compact
.It Cm autoselect
Enable autoselection of the media type and options.
.It Cm 10baseT
Set 10Mbps operation.
.It Cm 100baseTX
Set 100Mbps (Fast Ethernet) operation.
.It Cm 1000baseT
Set 1000Mbps (Gigabit Ethernet) operation.
.El
.Pp
For more information on configuring this device, see
.Xr ifconfig 8 .
To view a list of media types and options supported by the card, try
.Ic ifconfig Ao Ic device Ac Ic media .
For example,
.Ic ifconfig age0 media .
.Sh SEE ALSO
.Xr arp 4 ,
.Xr atphy 4 ,
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr netintro 4 ,
.Xr pci 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
device driver first appeared in
.Ox 4.5 .
It was then ported to
.Nx 5.1 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Pyun YongHyeon
for
.Fx ,
ported to
.Ox
by
.An Kevin Lo
.Aq kevlo@OpenBSD.org
then ported to
.Nx
by
.An Christoph Egger
.Aq cegger@NetBSD.org .
